.func-description {
    margin-top: var(--in-section-gap);

    & h3 {
        width: 720px;
        margin: 0 auto;
    }
}

.func-description__wrapper {
    height: 403px;
    position: relative;
    border-radius: 16px;
    overflow: hidden;
    display: flex;
    flex-flow: column nowrap;
    justify-content: space-between;
    padding-bottom: 102px;

    & > div.logo {
        height: 100px;
        display: flex;
        justify-content: center;
    }
}

.func-description__wrapper-overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    filter: blur(4px);
    background-image: linear-gradient(to right, rgba(51, 51, 51, 0.62) 33%, rgba(153, 153, 153, 0.62) 100%), url("../../img/func-description.png");
    z-index: -1;
}

.func-description__cards {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    padding: 0 88px;
}

.func-description__card {
    display: flex;
    flex-flow: column;
    gap: 8px;
    width: 203px;
    height: 179px;
    background-color: white;
    filter: drop-shadow(0px 4px 13px rgba(204, 204, 204, 0.2));
    border-radius: 16px;
    padding: 13px 17px 20px 20px;
    opacity: 0;
    transition: opacity linear var(--amenities-animation-duration);

    & > div.logo {
        width: 35px;
        height: 34px;
        align-self: flex-end;
    }

    &:nth-child(1) {
        transition-delay: var(--amenities-animation-duration);
    }

    &:nth-child(2) {
        transition-delay: calc(var(--amenities-animation-duration) * 2);
    }

    &:nth-child(3) {
        transition-delay: calc(var(--amenities-animation-duration) * 3);
    }

    &:nth-child(4) {
        transition-delay: calc(var(--amenities-animation-duration) * 4);
    }
}

.func-founder {
    margin-top: 100px;
    display: flex;
    flex-flow: column nowrap;

    & > .section__headline {
        margin-bottom: 0;
    }

    & > svg {
        display: none;
    }
}

.func-founder__description {
    display: flex;
    flex-flow: row nowrap;
    gap: 4px;
    margin-top: -20px;
}

.func-founder__description-card {
    display: flex;
    flex-flow: column nowrap;
    gap: 10px;
    width: 350px;
    min-width: 350px;
    background-color: white;
    filter: drop-shadow(0px 4px 13px rgba(204, 204, 204, 0.2));
    border-radius: 16px;

    & > div.image {
        align-self: center;
    }

    & > div.title {
        padding: 0 23px;
    }

    & > div.description {
        padding: 0 23px 35px !important;
    }
}

.func-founder__description-card > div.description > p:nth-child(1) {
    margin-bottom: 30px;
}

.func-founder__description-bubble {
    display: flex;
    flex-flow: column nowrap;
    justify-content: space-between;
    align-self: center;
    width: 639px;
    height: 253px;
    padding: 50px;
    background-color: var(--feature-color-3);
    color: white;
    font-family: "Mont", "Helvetica", sans-serif;
    font-size: 18px;
    font-weight: 700;
    line-height: 25px;
    border-radius: 16px;
    position: relative;
    opacity: 0;
    transform: translateX(-300px);
    transition: opacity 300ms ease-in, transform 300ms ease-in;

    &::before {
        content: '';
        width: 37px;
        height: 44px;
        background: url("../../img/about/bubble-corner.svg");
        position: absolute;
        bottom: -10px;
        left: -17px;
    }
}

.func-description__card > div.title,
.func-founder__description-card > div.title {
    font-family: "Mont", "Helvetica", sans-serif;
    font-size: 20px;
    font-weight: 700;
    line-height: 28px;
}

.func-description__card > div.description,
.func-founder__description-card > div.description {
    font-family: "Verdana", "Helvetica", sans-serif;
    font-size: 15px;
    font-weight: 400;
    line-height: 21px;
    padding: 0;
}

.func-founder__facts {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    margin-top: var(--in-section-gap);
}

.func-founder__fact {
    display: flex;
    flex-flow: column nowrap;
    justify-content: space-between;
    width: 325px;
    min-width: 325px;
    height: 282px;
    padding: 20px;
    position: relative;
    overflow: hidden;
    border-radius: 16px;

    & > div.icon {
        align-self: flex-end;
    }

    & > div.title {
        font-family: "Mont", "Helvetica", sans-serif;
        font-size: 18px;
        font-weight: 700;
        line-height: 25px;
        color: white;
        text-align: center;
        height: 75px;
        display: flex;
        align-items: center;
        align-self: center;
    }

    & > .image {
        -ms-filter: blur(2px);
        -webkit-filter: blur(2px);
        filter: blur(2px);
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: -1;
    }

    &:nth-child(1) > div.title {
        width: 240px;
    }

    &:nth-child(n+2) > div.title {
        width: 200px;
    }

    &:nth-child(1) > .image {
        background: linear-gradient(0deg, rgba(51, 51, 51, 0.3), rgba(51, 51, 51, 0.3)),
            url("../../img/about/founder-fact-1.png");
    }

    &:nth-child(2) > .image{
        content: '';
        background: linear-gradient(0deg, rgba(51, 51, 51, 0.3), rgba(51, 51, 51, 0.3)),
        url("../../img/about/founder-fact-2.png");
    }

    &:nth-child(3) > .image {
        content: '';
        background: linear-gradient(0deg, rgba(51, 51, 51, 0.3), rgba(51, 51, 51, 0.3)),
        url("../../img/about/founder-fact-3.png");
    }
}

.residents-choice {
    margin-top: 100px;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;

    & > div.section__headline {
        width: 370px;
    }

    & > div.glide {
        margin-top: var(--in-section-gap);
        width: 1600px;
    }

    & ul.glide__slides {
        height: 492px;
    }

    & li.glide__slide {
        width: 262px;
        height: 298px;
    }

    & .glide__arrows {
        margin-top: 16px;
        display: flex;
        gap: 40px;
        justify-content: center;
    }

    & .glide__arrow {
        cursor: pointer;
    }

    & .glide__arrow--left > svg {
        transform: rotate(180deg);
    }

    & li.glide__slide:nth-child(3n+1) {
        margin-top: 0;
    }

    & li.glide__slide:nth-child(3n+2) {
        margin-top: 59px;
    }

    & li.glide__slide:nth-child(3n+3) {
        margin-top: 140px;
    }
}

.residents-choice__graph {
    position: relative;
    width: 466px;
    height: 600px;

    & > div.residents-choice__image {
        width: 466px;
        height: 466px;
        background: url("../../img/about/residents-choice.svg");
        position: absolute;
        top: 60px;
        left: 0;
        opacity: 0;
        transition: opacity 300ms ease-in;
    }

    & > div.residents-choice__info {
        position: absolute;
        text-align: center;
        opacity: 0;
    }

    & > div.residents-choice__info:nth-child(1) {
        top: 0;
        right: 0;
        transition: opacity 300ms ease-in;
        transition-delay: 300ms;
    }

    & > div.residents-choice__info:nth-child(2) {
        top: 150px;
        right: -200px;
        transition: opacity 300ms ease-in;
        transition-delay: calc(300ms * 2);
    }

    & > div.residents-choice__info:nth-child(3) {
        top: 400px;
        right: -195px;
        transition: opacity 300ms ease-in;
        transition-delay: calc(300ms * 3);
    }

    & > div.residents-choice__info:nth-child(4) {
        bottom: 0;
        left: 190px;
        transition: opacity 300ms ease-in;
        transition-delay: calc(300ms * 4);
    }

    & > div.residents-choice__info:nth-child(5) {
        top: 400px;
        left: -105px;
        transition-delay: calc(300ms * 5);
    }

    & > div.residents-choice__info:nth-child(6) {
        top: 220px;
        left: -140px;
        transition-delay: calc(300ms * 6);
    }

    & > div.residents-choice__info:nth-child(7) {
        top: 0;
        left: 0;
        transition-delay: calc(300ms * 7);
    }
}

.work-life-balance {
    margin-top: 100px;

    .section__headline {
        width: 817px;
        margin: 0 auto var(--in-section-gap);
    }
}

.work-life-balance__wrapper {
    height: 403px;
    font-family: "Mont", "Helvetica", sans-serif;
    font-size: 18px;
    font-weight: 700;
    line-height: 25px;
    display: flex;
    flex-flow: row nowrap;
    margin-bottom: 100px;

    & .work-life-balance__image {
        background: url("../../img/about/work-life-balance.svg");
        width: 634px;
        min-width: 634px;
        height: 403px;
    }

    & .work-life-balance__text {
        margin-top: 124px;
        text-align: center;
        opacity: 0;
        transition: opacity 400ms ease-in, transform 400ms ease-in;
    }

    & .work-life-balance__text:nth-child(1) {
        transform: translateX(-200px);
    }

    & .work-life-balance__text:nth-child(3) {
        transform: translateX(200px);
    }
}

@media (max-width: 768px) {

    .func-description {
        & h3 {
            width: var(--container-width-576);
            margin: 0 auto;
        }
    }

    .func-description__wrapper {
        height: 552px;
        align-items: center;
    }

    .func-description__cards {
        flex-flow: row wrap;
        padding: 0 70px;
        gap: 40px;
        justify-content: center;
    }

    .func-description__card {
        width: 160px;
        height: 160px;
    }

    .func-founder {
        margin-top: 100px;

        & > .section__headline {
            margin-bottom: 24px;
        }

        & > svg {
            align-self: end;
            display: block;
        }
    }

    .func-founder__description {
        margin-top: 0;
        flex-flow: row wrap;
        justify-content: center;
    }

    .func-founder__description-card {
        width: 300px;
        min-width: 300px;
    }

    .func-description__card > div.title,
    .func-founder__description-card > div.title {
        font-size: 14px;
        line-height: 20px;
    }

    .func-description__card > div.description,
    .func-founder__description-card > div.description {
        font-size: 12px;
        line-height: 17px;
    }

    .func-founder__description-bubble {
        font-size: 14px;
        line-height: 20px;
        padding: 23px;
        width: 300px;
        margin-left: -20px;
        height: 230px;

        &::before {
            top: -10px;
            right: -17px;
            left: unset;
            transform: rotate(180deg);
        }
    }

    .func-founder__facts {
        overflow: scroll;
        gap: 12px;
    }

    .func-founder__fact {
        width: 240px;
        min-width: 240px;
        height: 209px;
    }

    .func-founder__fact {
        & > div.title {
            font-size: 14px;
            line-height: 20px;
        }

        &:nth-child(1) > div.title {
            width: 200px;
        }

        &:nth-child(2) > div.title {
            width: 160px;
        }

        &:nth-child(3) > div.title {
            width: 190px;
        }
    }

    .residents-choice {
        & > div.section__headline {
            width: 330px;
            margin-bottom: 40px;
        }

        & > div.glide {
            margin-top: var(--in-section-gap);
            width: var(--container-width-576);
        }

        & ul.glide__slides {
            height: 188px;
        }

        & li.glide__slide {
            margin-top: 0 !important;
        }
    }

    .residents-choice__graph {
        width: var(--container-width-576);
        height: 500px;
    }

    .residents-choice__graph > div.residents-choice__info {
        border-radius: 50%;
        display: flex;
        flex-flow: column-reverse;
        align-items: center;
        justify-content: center;
        font-weight: 700;
        border: 2px solid #F06724;

        & > p:nth-child(1) {
            font-size: 14px;
            line-height: 20px;
        }

        & > p:nth-child(2) {
            font-size: 20px;
            line-height: 28px;
        }

        &:nth-child(3),
        &:nth-child(5),
        &:nth-child(7) {
            width: 160px;
            height: 160px;
            background-color: #FFF0D9;
        }

        &:nth-child(3) > p:nth-child(2),
        &:nth-child(5) > p:nth-child(2),
        &:nth-child(7) > p:nth-child(2) {
            color: #EF6723;
        }

        &:nth-child(1),
        &:nth-child(2),
        &:nth-child(4) {
            width: 131px;
            height: 131px;
            background-color: #FFE4CF;
        }

        &:nth-child(1) > p:nth-child(2),
        &:nth-child(2) > p:nth-child(2),
        &:nth-child(4) > p:nth-child(2),
        &:nth-child(7) > p:nth-child(2) {
            color: #FBAE19;
        }

        &:nth-child(1) {
            border-color: #F06724;
            right: 15px;
        }

        &:nth-child(2) {
            top: 100px;
            right: 37px;
            border-color: #FFAB81;
        }

        &:nth-child(3) {
            top: 214px;
            right: 24px;
            border-color: #FBAE19;
        }

        &:nth-child(4) {
            bottom: 163px;
            left: 0;
            border-color: #FFAB81;
        }

        &:nth-child(5) {
            top: 320px;
            left: 26px;
            border-color: #F17D42;
        }

        &:nth-child(6) {
            top: 130px;
            left: 26px;
            width: 115px;
            height: 115px;
            background-color: #FFE4CF;
            border-color: #F06724;
        }

        &:nth-child(7) {
            left: 5px;
            border-color: #FFBE00;
        }
    }

    .residents-choice__image {
        display: none;
    }

    .work-life-balance__wrapper {
        height: 427px;
        width: 280px;
        margin: 0 auto 100px;
        font-size: 16px;
        font-weight: 700;
        line-height: 22px;
        flex-flow: row wrap;
        position: relative;

        & .work-life-balance__image {
            position: absolute;
            left: 37px;
            background: url("../../img/about/work-life-balance-mobile.svg");
            width: 226px;
            min-width: 226px;
            height: 427px;
        }

        & .work-life-balance__text {
            width: 220px;
            margin-top: 0;
            text-align: center;
            opacity: 0;
            transition: opacity 400ms ease-in, transform 400ms ease-in;
        }

        & .work-life-balance__text:nth-child(1) {
            text-align: right;
            margin-left: 20px;
            margin-top: -5px;
            transform: translateX(-200px);
        }

        & .work-life-balance__text:nth-child(3) {
            align-self: end;
            margin-bottom: -5px;
            margin-left: 60px;
            text-align: left;
            transform: translateX(200px);
        }
    }
}

@media (max-width: 576px) {
    .func-description__wrapper {
        height: 811px;
        align-items: center;
    }

    .func-description__cards {
        gap: 10px;
    }

    .func-description__card {
        width: 160px;
        height: 160px;
    }

    .func-founder__description-card {
        .image {
            order: 1;
            display: flex;
            justify-content: center;
        }

        img {
            width: calc(100% - 30px);
        }
    }

    .residents-choice__graph {
        opacity: 0;
        transition: background 300ms linear;

        & > * {
            display: none !important;
        }
    }

    .work-life-balance {
        .section__headline {
            width: var(--container-width-576);
        }
    }

    .tour__headline {
        width: 280px;
        margin-bottom: 40px;
    }
}
